/* chunk_fver.hh
 * Copyright (C) 2020 Ralf Hoffmann.
 * ralf@boomerangsworld.de
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef CHUNK_FVER_HH
#define CHUNK_FVER_HH

#include "chunk_chrs.hh"

class ChunkFVER : public ChunkCHRS {
public:
    std::string text() const override;
protected:
    int parse_chunk( const std::vector< char > &data ) override;
};

#endif /* CHUNK_FVER_HH */
