/* util.hh
 * This file belongs to Worker, a file manager for UN*X/X11.
 * Copyright (C) 2001-2017 Ralf Hoffmann.
 * You can contact me at: ralf@boomerangsworld.de
 *   or http://www.boomerangsworld.de/worker
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef UTIL_HH
#define UTIL_HH

#include <string>
#include <vector>

std::string formatStringToString( const char *format, ... ) __attribute__ ((format (printf, 1, 2)));
void split_string( std::vector< std::string > &v,
                   const std::string &str1,
                   const char split_element );

#define a_min(a,b) (((a)<(b))?(a):(b))

#endif

/* Local Variables: */
/* mode:c++ */
/* End: */
